Title: Sozi at FOSDEM'14
Date: 2014-02-02
Slug: 2014-02-02-fosdem
Lang: en
Author: Guillaume Savaton
Summary:
    I had the opportunity to present Sozi at FOSDEM'14 in the lightning talks session.
    In this post, you will find my presentation with notes.

I had the opportunity to present Sozi at FOSDEM'14 in the lightning talks session.
Here is the [abstract](https://fosdem.org/2014/schedule/event/sozi/) of my talk.
I suppose that a video will be available soon on the [web site of FOSDEM](https://fosdem.org/2014/).
You will find my presentation below.
[Scroll down](#sozi-frame) to read the notes attached to each frame (it is not an accurate transcript of my speech).

<iframe id="sozi-frame" class="sozi" src="|filename|/images/talks/2014-02-01-fosdem-lightning-talk-sozi.screen.svg" type="image/svg+xml">
    Your web browser does not seem to support SVG embedding.
</iframe>

<blockquote id="subtext">Loading&hellip;</blockquote>

<style>
    .subtext {
        display: none;
    }
</style>

<div class="subtext">
    My name is Guillaume Savaton.
    This talk is about a &ldquo;zooming&rdquo; presentation editor called Sozi.
    This presentation is also a live demo of what you can do with Sozi.
</div>

<div class="subtext">
    When I started working as a teacher and researcher ten years ago,
    I made slideshows like everybody else.
    My slideshow editor proposed a default slide layout that looked like this.
</div>

<div class="subtext">
    As a result, most of my slides were filled with bullet points with a lot of text.
    I thought it was convenient because if I forgot to say something,
    I was sure that all my students had the key points in front of their eyes.
</div>

<div class="subtext">
    But when I had to actually perform in front of my audience,
    I felt that something was wrong.
    Generally, I personally find it difficult to read while someone is speaking.
    And on the other hand, I cannot listen carefully when I am trying to read at the same time.
</div>

<div class="subtext">
    I started making presentations with a concern to better
    separate the <em>audio channel</em> from the <em>visual channel</em>.
    Now most of my slides contained only big titles, pictures and diagrams.
    But it was still frustrating.
</div>

<div class="subtext">
    <p>Many diagrams were too complex or too big to fit on a single slide.
        My presentation software did not provide a zooming feature that could help
        me focus on a particular region of interest.</p>

    <p>At that time, people around me started using a zooming presentation tool called Prezi.
        It did exactly what I wanted.
        It provided a web-based editor and a sharing platform that could host my documents free-of-charge.
        However, I had several reasons not to use it:</p>

    <ul>
        <li>It was proprietary software with a closed document format.</li>
        <li>The editor and the player were Flash-based.</li>
        <li>And it did not allow to get a copy of my documents on my own computer: document data were kept on their storage platform.</li>
    </ul>
</div>

<div class="subtext">
    <p>The development of Sozi started as an experiment to see whether an alternative could
        be implemented using open standards and free software.</p>

    <p>&ldquo;Sosie&rdquo; is a French word that means &ldquo;look-alike&rdquo;.
        In fact, Sozi is not a <em>clone</em> of Prezi:
        it has a different workflow, different features and a different philosophy.
        (Actually I have never used Prezi, so I cannot honestly compare their features).</p>
</div>

<div class="subtext">
    Since Sozi is aimed at presentations that contain a lot of drawings,
    I chose to use SVG as the document format.
    SVG is particularly fit for this usage for two reasons:
</div>

<div class="subtext">
    For authors, SVG is supported by several drawing software,
    either natively or as an export format.
    Some of them are free software.
</div>

<div class="subtext">
    Almost everybody already has an SVG viewer on their computer.
    Support for SVG has improved a lot over the last few years.
    And SVG documents can be scripted using JavaScript.
    As a result, Sozi only adds a <em>presentation layer</em> on top of existing software and formats.
</div>

<div class="subtext">
    When you create a new Sozi presentation, you first draw the visual elements in a single page
    as if you were creating a poster.
</div>

<div class="subtext">
    You can delimit frames using rectangles.
</div>

<div class="subtext">
    The Sozi editor is implemented as an Inkscape extension that
    adds presentation data in the form of custom XML elements.
    The extension also adds the Sozi JavaScript player to the SVG document.
</div>

<div class="subtext">
    The resulting document can be immediately published and played in a web browser.
</div>

<div class="subtext">
    <p>The version numbering convention is based on the release date.
        The latest stable release, Sozi 13.11, was published in november 2013.</p>

    <p>Currently, the editor is written in Python and uses GTK2 via PyGTK.
        It suffers from the limitations of the Inkscape extension system.
        Its UI is boring and inefficient.
        It is developed for GNU/Linux and is difficult to install on Windows and OS X.</p>
</div>

<div class="subtext">
    In 2014, the editor will be completely rewritten in JavaScript as a browser-based application.
    From the user's point of view, it will provide a more intuitive user interface
    with direct manipulation of the document and live preview.
    It will also be easier to install on all platforms.
</div>

<div class="subtext">
    The official web site of Sozi can be found at this address.
    Thank you for your attention.
</div>

<script>
    window.addEventListener("load", function () {
        var frame = document.querySelector("iframe.sozi");
        var contentWindow = frame.contentWindow || frame;
        contentWindow.focus();

        var bq = document.querySelector("blockquote#subtext");
        var divs = document.querySelectorAll("div.subtext");

        function showSubtext(index) {
            bq.innerHTML = divs[index].innerHTML;
        }

        showSubtext(0);
        contentWindow.sozi.events.listen("sozi.player.framechange", showSubtext);
    }, false);
</script>
